﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.36241
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace BaseMVC.Linq
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="CursoMVC")]
	public partial class BaseMVCDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Definiciones de métodos de extensibilidad
    partial void OnCreated();
    partial void InsertCRC_Materias(CRC_Materias instance);
    partial void UpdateCRC_Materias(CRC_Materias instance);
    partial void DeleteCRC_Materias(CRC_Materias instance);
    partial void InsertCTL_Materias(CTL_Materias instance);
    partial void UpdateCTL_Materias(CTL_Materias instance);
    partial void DeleteCTL_Materias(CTL_Materias instance);
    partial void InsertCRG_Alumnos(CRG_Alumnos instance);
    partial void UpdateCRG_Alumnos(CRG_Alumnos instance);
    partial void DeleteCRG_Alumnos(CRG_Alumnos instance);
    partial void InsertCTL_Alumnos(CTL_Alumnos instance);
    partial void UpdateCTL_Alumnos(CTL_Alumnos instance);
    partial void DeleteCTL_Alumnos(CTL_Alumnos instance);
    partial void InsertCTL_Horarios(CTL_Horarios instance);
    partial void UpdateCTL_Horarios(CTL_Horarios instance);
    partial void DeleteCTL_Horarios(CTL_Horarios instance);
    partial void InsertCTL_Maestros(CTL_Maestros instance);
    partial void UpdateCTL_Maestros(CTL_Maestros instance);
    partial void DeleteCTL_Maestros(CTL_Maestros instance);
    #endregion
		
		public BaseMVCDataContext() : 
				base(global::System.Configuration.ConfigurationManager.ConnectionStrings["BaseMVCConnectionString"].ConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public BaseMVCDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public BaseMVCDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public BaseMVCDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public BaseMVCDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<CRC_Materias> CRC_Materias
		{
			get
			{
				return this.GetTable<CRC_Materias>();
			}
		}
		
		public System.Data.Linq.Table<CTL_Materias> CTL_Materias
		{
			get
			{
				return this.GetTable<CTL_Materias>();
			}
		}
		
		public System.Data.Linq.Table<CRG_Alumnos> CRG_Alumnos
		{
			get
			{
				return this.GetTable<CRG_Alumnos>();
			}
		}
		
		public System.Data.Linq.Table<CTL_Alumnos> CTL_Alumnos
		{
			get
			{
				return this.GetTable<CTL_Alumnos>();
			}
		}
		
		public System.Data.Linq.Table<CTL_Horarios> CTL_Horarios
		{
			get
			{
				return this.GetTable<CTL_Horarios>();
			}
		}
		
		public System.Data.Linq.Table<CTL_Maestros> CTL_Maestros
		{
			get
			{
				return this.GetTable<CTL_Maestros>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.CRC_Materias")]
	public partial class CRC_Materias : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _nIdCargaMateria;
		
		private string _cDescripcion;
		
		private System.Nullable<System.DateTime> _dFechaRegistro;
		
		private string _cUsuarioRegistro;
		
		private string _cMaquinaRegistro;
		
		private System.DateTime _dFechaUltimaModificacion;
		
		private string _cUsuarioUltimaModificacion;
		
		private string _cMaquinaUltimaModificacion;
		
		private int _nIdHorario;
		
		private int _nIdMateria;
		
		private int _nIdMaestro;
		
		private EntitySet<CRG_Alumnos> _CRG_Alumnos;
		
		private EntityRef<CTL_Materias> _CTL_Materias;
		
		private EntityRef<CTL_Horarios> _CTL_Horarios;
		
		private EntityRef<CTL_Maestros> _CTL_Maestros;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnnIdCargaMateriaChanging(int value);
    partial void OnnIdCargaMateriaChanged();
    partial void OncDescripcionChanging(string value);
    partial void OncDescripcionChanged();
    partial void OndFechaRegistroChanging(System.Nullable<System.DateTime> value);
    partial void OndFechaRegistroChanged();
    partial void OncUsuarioRegistroChanging(string value);
    partial void OncUsuarioRegistroChanged();
    partial void OncMaquinaRegistroChanging(string value);
    partial void OncMaquinaRegistroChanged();
    partial void OndFechaUltimaModificacionChanging(System.DateTime value);
    partial void OndFechaUltimaModificacionChanged();
    partial void OncUsuarioUltimaModificacionChanging(string value);
    partial void OncUsuarioUltimaModificacionChanged();
    partial void OncMaquinaUltimaModificacionChanging(string value);
    partial void OncMaquinaUltimaModificacionChanged();
    partial void OnnIdHorarioChanging(int value);
    partial void OnnIdHorarioChanged();
    partial void OnnIdMateriaChanging(int value);
    partial void OnnIdMateriaChanged();
    partial void OnnIdMaestroChanging(int value);
    partial void OnnIdMaestroChanged();
    #endregion
		
		public CRC_Materias()
		{
			this._CRG_Alumnos = new EntitySet<CRG_Alumnos>(new Action<CRG_Alumnos>(this.attach_CRG_Alumnos), new Action<CRG_Alumnos>(this.detach_CRG_Alumnos));
			this._CTL_Materias = default(EntityRef<CTL_Materias>);
			this._CTL_Horarios = default(EntityRef<CTL_Horarios>);
			this._CTL_Maestros = default(EntityRef<CTL_Maestros>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdCargaMateria", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int nIdCargaMateria
		{
			get
			{
				return this._nIdCargaMateria;
			}
			set
			{
				if ((this._nIdCargaMateria != value))
				{
					this.OnnIdCargaMateriaChanging(value);
					this.SendPropertyChanging();
					this._nIdCargaMateria = value;
					this.SendPropertyChanged("nIdCargaMateria");
					this.OnnIdCargaMateriaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cDescripcion", DbType="VarChar(50)")]
		public string cDescripcion
		{
			get
			{
				return this._cDescripcion;
			}
			set
			{
				if ((this._cDescripcion != value))
				{
					this.OncDescripcionChanging(value);
					this.SendPropertyChanging();
					this._cDescripcion = value;
					this.SendPropertyChanged("cDescripcion");
					this.OncDescripcionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaRegistro", DbType="DateTime")]
		public System.Nullable<System.DateTime> dFechaRegistro
		{
			get
			{
				return this._dFechaRegistro;
			}
			set
			{
				if ((this._dFechaRegistro != value))
				{
					this.OndFechaRegistroChanging(value);
					this.SendPropertyChanging();
					this._dFechaRegistro = value;
					this.SendPropertyChanged("dFechaRegistro");
					this.OndFechaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cUsuarioRegistro
		{
			get
			{
				return this._cUsuarioRegistro;
			}
			set
			{
				if ((this._cUsuarioRegistro != value))
				{
					this.OncUsuarioRegistroChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioRegistro = value;
					this.SendPropertyChanged("cUsuarioRegistro");
					this.OncUsuarioRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cMaquinaRegistro
		{
			get
			{
				return this._cMaquinaRegistro;
			}
			set
			{
				if ((this._cMaquinaRegistro != value))
				{
					this.OncMaquinaRegistroChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaRegistro = value;
					this.SendPropertyChanged("cMaquinaRegistro");
					this.OncMaquinaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaUltimaModificacion", DbType="DateTime NOT NULL")]
		public System.DateTime dFechaUltimaModificacion
		{
			get
			{
				return this._dFechaUltimaModificacion;
			}
			set
			{
				if ((this._dFechaUltimaModificacion != value))
				{
					this.OndFechaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._dFechaUltimaModificacion = value;
					this.SendPropertyChanged("dFechaUltimaModificacion");
					this.OndFechaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioUltimaModificacion", DbType="VarChar(50)")]
		public string cUsuarioUltimaModificacion
		{
			get
			{
				return this._cUsuarioUltimaModificacion;
			}
			set
			{
				if ((this._cUsuarioUltimaModificacion != value))
				{
					this.OncUsuarioUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioUltimaModificacion = value;
					this.SendPropertyChanged("cUsuarioUltimaModificacion");
					this.OncUsuarioUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaUltimaModificacion", DbType="VarChar(50)")]
		public string cMaquinaUltimaModificacion
		{
			get
			{
				return this._cMaquinaUltimaModificacion;
			}
			set
			{
				if ((this._cMaquinaUltimaModificacion != value))
				{
					this.OncMaquinaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaUltimaModificacion = value;
					this.SendPropertyChanged("cMaquinaUltimaModificacion");
					this.OncMaquinaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdHorario", DbType="Int NOT NULL")]
		public int nIdHorario
		{
			get
			{
				return this._nIdHorario;
			}
			set
			{
				if ((this._nIdHorario != value))
				{
					if (this._CTL_Horarios.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnnIdHorarioChanging(value);
					this.SendPropertyChanging();
					this._nIdHorario = value;
					this.SendPropertyChanged("nIdHorario");
					this.OnnIdHorarioChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdMateria", DbType="Int NOT NULL")]
		public int nIdMateria
		{
			get
			{
				return this._nIdMateria;
			}
			set
			{
				if ((this._nIdMateria != value))
				{
					if (this._CTL_Materias.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnnIdMateriaChanging(value);
					this.SendPropertyChanging();
					this._nIdMateria = value;
					this.SendPropertyChanged("nIdMateria");
					this.OnnIdMateriaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdMaestro", DbType="Int NOT NULL")]
		public int nIdMaestro
		{
			get
			{
				return this._nIdMaestro;
			}
			set
			{
				if ((this._nIdMaestro != value))
				{
					if (this._CTL_Maestros.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnnIdMaestroChanging(value);
					this.SendPropertyChanging();
					this._nIdMaestro = value;
					this.SendPropertyChanged("nIdMaestro");
					this.OnnIdMaestroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CRC_Materias_CRG_Alumnos", Storage="_CRG_Alumnos", ThisKey="nIdCargaMateria", OtherKey="nIdCargaMateria")]
		public EntitySet<CRG_Alumnos> CRG_Alumnos
		{
			get
			{
				return this._CRG_Alumnos;
			}
			set
			{
				this._CRG_Alumnos.Assign(value);
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Materias_CRC_Materias", Storage="_CTL_Materias", ThisKey="nIdMateria", OtherKey="nIdMateria", IsForeignKey=true)]
		public CTL_Materias CTL_Materias
		{
			get
			{
				return this._CTL_Materias.Entity;
			}
			set
			{
				CTL_Materias previousValue = this._CTL_Materias.Entity;
				if (((previousValue != value) 
							|| (this._CTL_Materias.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._CTL_Materias.Entity = null;
						previousValue.CRC_Materias.Remove(this);
					}
					this._CTL_Materias.Entity = value;
					if ((value != null))
					{
						value.CRC_Materias.Add(this);
						this._nIdMateria = value.nIdMateria;
					}
					else
					{
						this._nIdMateria = default(int);
					}
					this.SendPropertyChanged("CTL_Materias");
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Horarios_CRC_Materias", Storage="_CTL_Horarios", ThisKey="nIdHorario", OtherKey="nIdHorario", IsForeignKey=true)]
		public CTL_Horarios CTL_Horarios
		{
			get
			{
				return this._CTL_Horarios.Entity;
			}
			set
			{
				CTL_Horarios previousValue = this._CTL_Horarios.Entity;
				if (((previousValue != value) 
							|| (this._CTL_Horarios.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._CTL_Horarios.Entity = null;
						previousValue.CRC_Materias.Remove(this);
					}
					this._CTL_Horarios.Entity = value;
					if ((value != null))
					{
						value.CRC_Materias.Add(this);
						this._nIdHorario = value.nIdHorario;
					}
					else
					{
						this._nIdHorario = default(int);
					}
					this.SendPropertyChanged("CTL_Horarios");
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Maestros_CRC_Materias", Storage="_CTL_Maestros", ThisKey="nIdMaestro", OtherKey="nIdMaestro", IsForeignKey=true)]
		public CTL_Maestros CTL_Maestros
		{
			get
			{
				return this._CTL_Maestros.Entity;
			}
			set
			{
				CTL_Maestros previousValue = this._CTL_Maestros.Entity;
				if (((previousValue != value) 
							|| (this._CTL_Maestros.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._CTL_Maestros.Entity = null;
						previousValue.CRC_Materias.Remove(this);
					}
					this._CTL_Maestros.Entity = value;
					if ((value != null))
					{
						value.CRC_Materias.Add(this);
						this._nIdMaestro = value.nIdMaestro;
					}
					else
					{
						this._nIdMaestro = default(int);
					}
					this.SendPropertyChanged("CTL_Maestros");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_CRG_Alumnos(CRG_Alumnos entity)
		{
			this.SendPropertyChanging();
			entity.CRC_Materias = this;
		}
		
		private void detach_CRG_Alumnos(CRG_Alumnos entity)
		{
			this.SendPropertyChanging();
			entity.CRC_Materias = null;
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.CTL_Materias")]
	public partial class CTL_Materias : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _nIdMateria;
		
		private string _cDescripcion;
		
		private System.Nullable<System.DateTime> _dFechaRegistro;
		
		private string _cUsuarioRegistro;
		
		private string _cMaquinaRegistro;
		
		private System.DateTime _dFechaUltimaModificacion;
		
		private string _cUsuarioUltimaModificacion;
		
		private string _cMaquinaUltimaModificacion;
		
		private EntitySet<CRC_Materias> _CRC_Materias;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnnIdMateriaChanging(int value);
    partial void OnnIdMateriaChanged();
    partial void OncDescripcionChanging(string value);
    partial void OncDescripcionChanged();
    partial void OndFechaRegistroChanging(System.Nullable<System.DateTime> value);
    partial void OndFechaRegistroChanged();
    partial void OncUsuarioRegistroChanging(string value);
    partial void OncUsuarioRegistroChanged();
    partial void OncMaquinaRegistroChanging(string value);
    partial void OncMaquinaRegistroChanged();
    partial void OndFechaUltimaModificacionChanging(System.DateTime value);
    partial void OndFechaUltimaModificacionChanged();
    partial void OncUsuarioUltimaModificacionChanging(string value);
    partial void OncUsuarioUltimaModificacionChanged();
    partial void OncMaquinaUltimaModificacionChanging(string value);
    partial void OncMaquinaUltimaModificacionChanged();
    #endregion
		
		public CTL_Materias()
		{
			this._CRC_Materias = new EntitySet<CRC_Materias>(new Action<CRC_Materias>(this.attach_CRC_Materias), new Action<CRC_Materias>(this.detach_CRC_Materias));
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdMateria", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int nIdMateria
		{
			get
			{
				return this._nIdMateria;
			}
			set
			{
				if ((this._nIdMateria != value))
				{
					this.OnnIdMateriaChanging(value);
					this.SendPropertyChanging();
					this._nIdMateria = value;
					this.SendPropertyChanged("nIdMateria");
					this.OnnIdMateriaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cDescripcion", DbType="VarChar(50)")]
		public string cDescripcion
		{
			get
			{
				return this._cDescripcion;
			}
			set
			{
				if ((this._cDescripcion != value))
				{
					this.OncDescripcionChanging(value);
					this.SendPropertyChanging();
					this._cDescripcion = value;
					this.SendPropertyChanged("cDescripcion");
					this.OncDescripcionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaRegistro", DbType="DateTime")]
		public System.Nullable<System.DateTime> dFechaRegistro
		{
			get
			{
				return this._dFechaRegistro;
			}
			set
			{
				if ((this._dFechaRegistro != value))
				{
					this.OndFechaRegistroChanging(value);
					this.SendPropertyChanging();
					this._dFechaRegistro = value;
					this.SendPropertyChanged("dFechaRegistro");
					this.OndFechaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cUsuarioRegistro
		{
			get
			{
				return this._cUsuarioRegistro;
			}
			set
			{
				if ((this._cUsuarioRegistro != value))
				{
					this.OncUsuarioRegistroChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioRegistro = value;
					this.SendPropertyChanged("cUsuarioRegistro");
					this.OncUsuarioRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cMaquinaRegistro
		{
			get
			{
				return this._cMaquinaRegistro;
			}
			set
			{
				if ((this._cMaquinaRegistro != value))
				{
					this.OncMaquinaRegistroChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaRegistro = value;
					this.SendPropertyChanged("cMaquinaRegistro");
					this.OncMaquinaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaUltimaModificacion", DbType="DateTime NOT NULL")]
		public System.DateTime dFechaUltimaModificacion
		{
			get
			{
				return this._dFechaUltimaModificacion;
			}
			set
			{
				if ((this._dFechaUltimaModificacion != value))
				{
					this.OndFechaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._dFechaUltimaModificacion = value;
					this.SendPropertyChanged("dFechaUltimaModificacion");
					this.OndFechaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioUltimaModificacion", DbType="VarChar(50)")]
		public string cUsuarioUltimaModificacion
		{
			get
			{
				return this._cUsuarioUltimaModificacion;
			}
			set
			{
				if ((this._cUsuarioUltimaModificacion != value))
				{
					this.OncUsuarioUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioUltimaModificacion = value;
					this.SendPropertyChanged("cUsuarioUltimaModificacion");
					this.OncUsuarioUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaUltimaModificacion", DbType="VarChar(50)")]
		public string cMaquinaUltimaModificacion
		{
			get
			{
				return this._cMaquinaUltimaModificacion;
			}
			set
			{
				if ((this._cMaquinaUltimaModificacion != value))
				{
					this.OncMaquinaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaUltimaModificacion = value;
					this.SendPropertyChanged("cMaquinaUltimaModificacion");
					this.OncMaquinaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Materias_CRC_Materias", Storage="_CRC_Materias", ThisKey="nIdMateria", OtherKey="nIdMateria")]
		public EntitySet<CRC_Materias> CRC_Materias
		{
			get
			{
				return this._CRC_Materias;
			}
			set
			{
				this._CRC_Materias.Assign(value);
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_CRC_Materias(CRC_Materias entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Materias = this;
		}
		
		private void detach_CRC_Materias(CRC_Materias entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Materias = null;
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.CRG_Alumnos")]
	public partial class CRG_Alumnos : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _nIdCargaAlumno;
		
		private System.Nullable<System.DateTime> _dFechaRegistro;
		
		private string _cUsuarioRegistro;
		
		private string _cMaquinaRegistro;
		
		private System.DateTime _dFechaUltimaModificacion;
		
		private string _cUsuarioUltimaModificacion;
		
		private string _cMaquinaUltimaModificacion;
		
		private int _nIdAlumno;
		
		private int _nIdCargaMateria;
		
		private EntityRef<CRC_Materias> _CRC_Materias;
		
		private EntityRef<CTL_Alumnos> _CTL_Alumnos;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnnIdCargaAlumnoChanging(int value);
    partial void OnnIdCargaAlumnoChanged();
    partial void OndFechaRegistroChanging(System.Nullable<System.DateTime> value);
    partial void OndFechaRegistroChanged();
    partial void OncUsuarioRegistroChanging(string value);
    partial void OncUsuarioRegistroChanged();
    partial void OncMaquinaRegistroChanging(string value);
    partial void OncMaquinaRegistroChanged();
    partial void OndFechaUltimaModificacionChanging(System.DateTime value);
    partial void OndFechaUltimaModificacionChanged();
    partial void OncUsuarioUltimaModificacionChanging(string value);
    partial void OncUsuarioUltimaModificacionChanged();
    partial void OncMaquinaUltimaModificacionChanging(string value);
    partial void OncMaquinaUltimaModificacionChanged();
    partial void OnnIdAlumnoChanging(int value);
    partial void OnnIdAlumnoChanged();
    partial void OnnIdCargaMateriaChanging(int value);
    partial void OnnIdCargaMateriaChanged();
    #endregion
		
		public CRG_Alumnos()
		{
			this._CRC_Materias = default(EntityRef<CRC_Materias>);
			this._CTL_Alumnos = default(EntityRef<CTL_Alumnos>);
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdCargaAlumno", DbType="Int NOT NULL", IsPrimaryKey=true)]
		public int nIdCargaAlumno
		{
			get
			{
				return this._nIdCargaAlumno;
			}
			set
			{
				if ((this._nIdCargaAlumno != value))
				{
					this.OnnIdCargaAlumnoChanging(value);
					this.SendPropertyChanging();
					this._nIdCargaAlumno = value;
					this.SendPropertyChanged("nIdCargaAlumno");
					this.OnnIdCargaAlumnoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaRegistro", DbType="DateTime")]
		public System.Nullable<System.DateTime> dFechaRegistro
		{
			get
			{
				return this._dFechaRegistro;
			}
			set
			{
				if ((this._dFechaRegistro != value))
				{
					this.OndFechaRegistroChanging(value);
					this.SendPropertyChanging();
					this._dFechaRegistro = value;
					this.SendPropertyChanged("dFechaRegistro");
					this.OndFechaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cUsuarioRegistro
		{
			get
			{
				return this._cUsuarioRegistro;
			}
			set
			{
				if ((this._cUsuarioRegistro != value))
				{
					this.OncUsuarioRegistroChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioRegistro = value;
					this.SendPropertyChanged("cUsuarioRegistro");
					this.OncUsuarioRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cMaquinaRegistro
		{
			get
			{
				return this._cMaquinaRegistro;
			}
			set
			{
				if ((this._cMaquinaRegistro != value))
				{
					this.OncMaquinaRegistroChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaRegistro = value;
					this.SendPropertyChanged("cMaquinaRegistro");
					this.OncMaquinaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaUltimaModificacion", DbType="DateTime NOT NULL")]
		public System.DateTime dFechaUltimaModificacion
		{
			get
			{
				return this._dFechaUltimaModificacion;
			}
			set
			{
				if ((this._dFechaUltimaModificacion != value))
				{
					this.OndFechaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._dFechaUltimaModificacion = value;
					this.SendPropertyChanged("dFechaUltimaModificacion");
					this.OndFechaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioUltimaModificacion", DbType="VarChar(50)")]
		public string cUsuarioUltimaModificacion
		{
			get
			{
				return this._cUsuarioUltimaModificacion;
			}
			set
			{
				if ((this._cUsuarioUltimaModificacion != value))
				{
					this.OncUsuarioUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioUltimaModificacion = value;
					this.SendPropertyChanged("cUsuarioUltimaModificacion");
					this.OncUsuarioUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaUltimaModificacion", DbType="VarChar(50)")]
		public string cMaquinaUltimaModificacion
		{
			get
			{
				return this._cMaquinaUltimaModificacion;
			}
			set
			{
				if ((this._cMaquinaUltimaModificacion != value))
				{
					this.OncMaquinaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaUltimaModificacion = value;
					this.SendPropertyChanged("cMaquinaUltimaModificacion");
					this.OncMaquinaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdAlumno", DbType="Int NOT NULL")]
		public int nIdAlumno
		{
			get
			{
				return this._nIdAlumno;
			}
			set
			{
				if ((this._nIdAlumno != value))
				{
					if (this._CTL_Alumnos.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnnIdAlumnoChanging(value);
					this.SendPropertyChanging();
					this._nIdAlumno = value;
					this.SendPropertyChanged("nIdAlumno");
					this.OnnIdAlumnoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdCargaMateria", DbType="Int NOT NULL")]
		public int nIdCargaMateria
		{
			get
			{
				return this._nIdCargaMateria;
			}
			set
			{
				if ((this._nIdCargaMateria != value))
				{
					if (this._CRC_Materias.HasLoadedOrAssignedValue)
					{
						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
					}
					this.OnnIdCargaMateriaChanging(value);
					this.SendPropertyChanging();
					this._nIdCargaMateria = value;
					this.SendPropertyChanged("nIdCargaMateria");
					this.OnnIdCargaMateriaChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CRC_Materias_CRG_Alumnos", Storage="_CRC_Materias", ThisKey="nIdCargaMateria", OtherKey="nIdCargaMateria", IsForeignKey=true)]
		public CRC_Materias CRC_Materias
		{
			get
			{
				return this._CRC_Materias.Entity;
			}
			set
			{
				CRC_Materias previousValue = this._CRC_Materias.Entity;
				if (((previousValue != value) 
							|| (this._CRC_Materias.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._CRC_Materias.Entity = null;
						previousValue.CRG_Alumnos.Remove(this);
					}
					this._CRC_Materias.Entity = value;
					if ((value != null))
					{
						value.CRG_Alumnos.Add(this);
						this._nIdCargaMateria = value.nIdCargaMateria;
					}
					else
					{
						this._nIdCargaMateria = default(int);
					}
					this.SendPropertyChanged("CRC_Materias");
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Alumnos_CRG_Alumnos", Storage="_CTL_Alumnos", ThisKey="nIdAlumno", OtherKey="nIdAlumno", IsForeignKey=true)]
		public CTL_Alumnos CTL_Alumnos
		{
			get
			{
				return this._CTL_Alumnos.Entity;
			}
			set
			{
				CTL_Alumnos previousValue = this._CTL_Alumnos.Entity;
				if (((previousValue != value) 
							|| (this._CTL_Alumnos.HasLoadedOrAssignedValue == false)))
				{
					this.SendPropertyChanging();
					if ((previousValue != null))
					{
						this._CTL_Alumnos.Entity = null;
						previousValue.CRG_Alumnos.Remove(this);
					}
					this._CTL_Alumnos.Entity = value;
					if ((value != null))
					{
						value.CRG_Alumnos.Add(this);
						this._nIdAlumno = value.nIdAlumno;
					}
					else
					{
						this._nIdAlumno = default(int);
					}
					this.SendPropertyChanged("CTL_Alumnos");
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.CTL_Alumnos")]
	public partial class CTL_Alumnos : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _nIdAlumno;
		
		private string _cNombreAlumno;
		
		private System.Nullable<System.DateTime> _dFechaRegistro;
		
		private string _cUsuarioRegistro;
		
		private string _cMaquinaRegistro;
		
		private System.DateTime _dFechaUltimaModificacion;
		
		private string _cUsuarioUltimaModificacion;
		
		private string _cMaquinaUltimaModificacion;
		
		private EntitySet<CRG_Alumnos> _CRG_Alumnos;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnnIdAlumnoChanging(int value);
    partial void OnnIdAlumnoChanged();
    partial void OncNombreAlumnoChanging(string value);
    partial void OncNombreAlumnoChanged();
    partial void OndFechaRegistroChanging(System.Nullable<System.DateTime> value);
    partial void OndFechaRegistroChanged();
    partial void OncUsuarioRegistroChanging(string value);
    partial void OncUsuarioRegistroChanged();
    partial void OncMaquinaRegistroChanging(string value);
    partial void OncMaquinaRegistroChanged();
    partial void OndFechaUltimaModificacionChanging(System.DateTime value);
    partial void OndFechaUltimaModificacionChanged();
    partial void OncUsuarioUltimaModificacionChanging(string value);
    partial void OncUsuarioUltimaModificacionChanged();
    partial void OncMaquinaUltimaModificacionChanging(string value);
    partial void OncMaquinaUltimaModificacionChanged();
    #endregion
		
		public CTL_Alumnos()
		{
			this._CRG_Alumnos = new EntitySet<CRG_Alumnos>(new Action<CRG_Alumnos>(this.attach_CRG_Alumnos), new Action<CRG_Alumnos>(this.detach_CRG_Alumnos));
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdAlumno", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int nIdAlumno
		{
			get
			{
				return this._nIdAlumno;
			}
			set
			{
				if ((this._nIdAlumno != value))
				{
					this.OnnIdAlumnoChanging(value);
					this.SendPropertyChanging();
					this._nIdAlumno = value;
					this.SendPropertyChanged("nIdAlumno");
					this.OnnIdAlumnoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cNombreAlumno", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cNombreAlumno
		{
			get
			{
				return this._cNombreAlumno;
			}
			set
			{
				if ((this._cNombreAlumno != value))
				{
					this.OncNombreAlumnoChanging(value);
					this.SendPropertyChanging();
					this._cNombreAlumno = value;
					this.SendPropertyChanged("cNombreAlumno");
					this.OncNombreAlumnoChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaRegistro", DbType="DateTime")]
		public System.Nullable<System.DateTime> dFechaRegistro
		{
			get
			{
				return this._dFechaRegistro;
			}
			set
			{
				if ((this._dFechaRegistro != value))
				{
					this.OndFechaRegistroChanging(value);
					this.SendPropertyChanging();
					this._dFechaRegistro = value;
					this.SendPropertyChanged("dFechaRegistro");
					this.OndFechaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cUsuarioRegistro
		{
			get
			{
				return this._cUsuarioRegistro;
			}
			set
			{
				if ((this._cUsuarioRegistro != value))
				{
					this.OncUsuarioRegistroChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioRegistro = value;
					this.SendPropertyChanged("cUsuarioRegistro");
					this.OncUsuarioRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cMaquinaRegistro
		{
			get
			{
				return this._cMaquinaRegistro;
			}
			set
			{
				if ((this._cMaquinaRegistro != value))
				{
					this.OncMaquinaRegistroChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaRegistro = value;
					this.SendPropertyChanged("cMaquinaRegistro");
					this.OncMaquinaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaUltimaModificacion", DbType="DateTime NOT NULL")]
		public System.DateTime dFechaUltimaModificacion
		{
			get
			{
				return this._dFechaUltimaModificacion;
			}
			set
			{
				if ((this._dFechaUltimaModificacion != value))
				{
					this.OndFechaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._dFechaUltimaModificacion = value;
					this.SendPropertyChanged("dFechaUltimaModificacion");
					this.OndFechaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioUltimaModificacion", DbType="VarChar(50)")]
		public string cUsuarioUltimaModificacion
		{
			get
			{
				return this._cUsuarioUltimaModificacion;
			}
			set
			{
				if ((this._cUsuarioUltimaModificacion != value))
				{
					this.OncUsuarioUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioUltimaModificacion = value;
					this.SendPropertyChanged("cUsuarioUltimaModificacion");
					this.OncUsuarioUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaUltimaModificacion", DbType="VarChar(50)")]
		public string cMaquinaUltimaModificacion
		{
			get
			{
				return this._cMaquinaUltimaModificacion;
			}
			set
			{
				if ((this._cMaquinaUltimaModificacion != value))
				{
					this.OncMaquinaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaUltimaModificacion = value;
					this.SendPropertyChanged("cMaquinaUltimaModificacion");
					this.OncMaquinaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Alumnos_CRG_Alumnos", Storage="_CRG_Alumnos", ThisKey="nIdAlumno", OtherKey="nIdAlumno")]
		public EntitySet<CRG_Alumnos> CRG_Alumnos
		{
			get
			{
				return this._CRG_Alumnos;
			}
			set
			{
				this._CRG_Alumnos.Assign(value);
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_CRG_Alumnos(CRG_Alumnos entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Alumnos = this;
		}
		
		private void detach_CRG_Alumnos(CRG_Alumnos entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Alumnos = null;
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.CTL_Horarios")]
	public partial class CTL_Horarios : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _nIdHorario;
		
		private string _cDescripcion;
		
		private System.Nullable<System.DateTime> _dFechaRegistro;
		
		private string _cUsuarioRegistro;
		
		private string _cMaquinaRegistro;
		
		private System.DateTime _dFechaUltimaModificacion;
		
		private string _cUsuarioUltimaModificacion;
		
		private string _cMaquinaUltimaModificacion;
		
		private EntitySet<CRC_Materias> _CRC_Materias;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnnIdHorarioChanging(int value);
    partial void OnnIdHorarioChanged();
    partial void OncDescripcionChanging(string value);
    partial void OncDescripcionChanged();
    partial void OndFechaRegistroChanging(System.Nullable<System.DateTime> value);
    partial void OndFechaRegistroChanged();
    partial void OncUsuarioRegistroChanging(string value);
    partial void OncUsuarioRegistroChanged();
    partial void OncMaquinaRegistroChanging(string value);
    partial void OncMaquinaRegistroChanged();
    partial void OndFechaUltimaModificacionChanging(System.DateTime value);
    partial void OndFechaUltimaModificacionChanged();
    partial void OncUsuarioUltimaModificacionChanging(string value);
    partial void OncUsuarioUltimaModificacionChanged();
    partial void OncMaquinaUltimaModificacionChanging(string value);
    partial void OncMaquinaUltimaModificacionChanged();
    #endregion
		
		public CTL_Horarios()
		{
			this._CRC_Materias = new EntitySet<CRC_Materias>(new Action<CRC_Materias>(this.attach_CRC_Materias), new Action<CRC_Materias>(this.detach_CRC_Materias));
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdHorario", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int nIdHorario
		{
			get
			{
				return this._nIdHorario;
			}
			set
			{
				if ((this._nIdHorario != value))
				{
					this.OnnIdHorarioChanging(value);
					this.SendPropertyChanging();
					this._nIdHorario = value;
					this.SendPropertyChanged("nIdHorario");
					this.OnnIdHorarioChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cDescripcion", DbType="VarChar(50)")]
		public string cDescripcion
		{
			get
			{
				return this._cDescripcion;
			}
			set
			{
				if ((this._cDescripcion != value))
				{
					this.OncDescripcionChanging(value);
					this.SendPropertyChanging();
					this._cDescripcion = value;
					this.SendPropertyChanged("cDescripcion");
					this.OncDescripcionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaRegistro", DbType="DateTime")]
		public System.Nullable<System.DateTime> dFechaRegistro
		{
			get
			{
				return this._dFechaRegistro;
			}
			set
			{
				if ((this._dFechaRegistro != value))
				{
					this.OndFechaRegistroChanging(value);
					this.SendPropertyChanging();
					this._dFechaRegistro = value;
					this.SendPropertyChanged("dFechaRegistro");
					this.OndFechaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cUsuarioRegistro
		{
			get
			{
				return this._cUsuarioRegistro;
			}
			set
			{
				if ((this._cUsuarioRegistro != value))
				{
					this.OncUsuarioRegistroChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioRegistro = value;
					this.SendPropertyChanged("cUsuarioRegistro");
					this.OncUsuarioRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cMaquinaRegistro
		{
			get
			{
				return this._cMaquinaRegistro;
			}
			set
			{
				if ((this._cMaquinaRegistro != value))
				{
					this.OncMaquinaRegistroChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaRegistro = value;
					this.SendPropertyChanged("cMaquinaRegistro");
					this.OncMaquinaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaUltimaModificacion", DbType="DateTime NOT NULL")]
		public System.DateTime dFechaUltimaModificacion
		{
			get
			{
				return this._dFechaUltimaModificacion;
			}
			set
			{
				if ((this._dFechaUltimaModificacion != value))
				{
					this.OndFechaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._dFechaUltimaModificacion = value;
					this.SendPropertyChanged("dFechaUltimaModificacion");
					this.OndFechaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioUltimaModificacion", DbType="VarChar(50)")]
		public string cUsuarioUltimaModificacion
		{
			get
			{
				return this._cUsuarioUltimaModificacion;
			}
			set
			{
				if ((this._cUsuarioUltimaModificacion != value))
				{
					this.OncUsuarioUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioUltimaModificacion = value;
					this.SendPropertyChanged("cUsuarioUltimaModificacion");
					this.OncUsuarioUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaUltimaModificacion", DbType="VarChar(50)")]
		public string cMaquinaUltimaModificacion
		{
			get
			{
				return this._cMaquinaUltimaModificacion;
			}
			set
			{
				if ((this._cMaquinaUltimaModificacion != value))
				{
					this.OncMaquinaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaUltimaModificacion = value;
					this.SendPropertyChanged("cMaquinaUltimaModificacion");
					this.OncMaquinaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Horarios_CRC_Materias", Storage="_CRC_Materias", ThisKey="nIdHorario", OtherKey="nIdHorario")]
		public EntitySet<CRC_Materias> CRC_Materias
		{
			get
			{
				return this._CRC_Materias;
			}
			set
			{
				this._CRC_Materias.Assign(value);
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_CRC_Materias(CRC_Materias entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Horarios = this;
		}
		
		private void detach_CRC_Materias(CRC_Materias entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Horarios = null;
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.CTL_Maestros")]
	public partial class CTL_Maestros : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _nIdMaestro;
		
		private string _cNombreMaestro;
		
		private System.Nullable<System.DateTime> _dFechaRegistro;
		
		private string _cUsuarioRegistro;
		
		private string _cMaquinaRegistro;
		
		private System.DateTime _dFechaUltimaModificacion;
		
		private string _cUsuarioUltimaModificacion;
		
		private string _cMaquinaUltimaModificacion;
		
		private EntitySet<CRC_Materias> _CRC_Materias;
		
    #region Definiciones de métodos de extensibilidad
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnnIdMaestroChanging(int value);
    partial void OnnIdMaestroChanged();
    partial void OncNombreMaestroChanging(string value);
    partial void OncNombreMaestroChanged();
    partial void OndFechaRegistroChanging(System.Nullable<System.DateTime> value);
    partial void OndFechaRegistroChanged();
    partial void OncUsuarioRegistroChanging(string value);
    partial void OncUsuarioRegistroChanged();
    partial void OncMaquinaRegistroChanging(string value);
    partial void OncMaquinaRegistroChanged();
    partial void OndFechaUltimaModificacionChanging(System.DateTime value);
    partial void OndFechaUltimaModificacionChanged();
    partial void OncUsuarioUltimaModificacionChanging(string value);
    partial void OncUsuarioUltimaModificacionChanged();
    partial void OncMaquinaUltimaModificacionChanging(string value);
    partial void OncMaquinaUltimaModificacionChanged();
    #endregion
		
		public CTL_Maestros()
		{
			this._CRC_Materias = new EntitySet<CRC_Materias>(new Action<CRC_Materias>(this.attach_CRC_Materias), new Action<CRC_Materias>(this.detach_CRC_Materias));
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nIdMaestro", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int nIdMaestro
		{
			get
			{
				return this._nIdMaestro;
			}
			set
			{
				if ((this._nIdMaestro != value))
				{
					this.OnnIdMaestroChanging(value);
					this.SendPropertyChanging();
					this._nIdMaestro = value;
					this.SendPropertyChanged("nIdMaestro");
					this.OnnIdMaestroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cNombreMaestro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cNombreMaestro
		{
			get
			{
				return this._cNombreMaestro;
			}
			set
			{
				if ((this._cNombreMaestro != value))
				{
					this.OncNombreMaestroChanging(value);
					this.SendPropertyChanging();
					this._cNombreMaestro = value;
					this.SendPropertyChanged("cNombreMaestro");
					this.OncNombreMaestroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaRegistro", DbType="DateTime")]
		public System.Nullable<System.DateTime> dFechaRegistro
		{
			get
			{
				return this._dFechaRegistro;
			}
			set
			{
				if ((this._dFechaRegistro != value))
				{
					this.OndFechaRegistroChanging(value);
					this.SendPropertyChanging();
					this._dFechaRegistro = value;
					this.SendPropertyChanged("dFechaRegistro");
					this.OndFechaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cUsuarioRegistro
		{
			get
			{
				return this._cUsuarioRegistro;
			}
			set
			{
				if ((this._cUsuarioRegistro != value))
				{
					this.OncUsuarioRegistroChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioRegistro = value;
					this.SendPropertyChanged("cUsuarioRegistro");
					this.OncUsuarioRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaRegistro", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string cMaquinaRegistro
		{
			get
			{
				return this._cMaquinaRegistro;
			}
			set
			{
				if ((this._cMaquinaRegistro != value))
				{
					this.OncMaquinaRegistroChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaRegistro = value;
					this.SendPropertyChanged("cMaquinaRegistro");
					this.OncMaquinaRegistroChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_dFechaUltimaModificacion", DbType="DateTime NOT NULL")]
		public System.DateTime dFechaUltimaModificacion
		{
			get
			{
				return this._dFechaUltimaModificacion;
			}
			set
			{
				if ((this._dFechaUltimaModificacion != value))
				{
					this.OndFechaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._dFechaUltimaModificacion = value;
					this.SendPropertyChanged("dFechaUltimaModificacion");
					this.OndFechaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cUsuarioUltimaModificacion", DbType="VarChar(50)")]
		public string cUsuarioUltimaModificacion
		{
			get
			{
				return this._cUsuarioUltimaModificacion;
			}
			set
			{
				if ((this._cUsuarioUltimaModificacion != value))
				{
					this.OncUsuarioUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cUsuarioUltimaModificacion = value;
					this.SendPropertyChanged("cUsuarioUltimaModificacion");
					this.OncUsuarioUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_cMaquinaUltimaModificacion", DbType="VarChar(50)")]
		public string cMaquinaUltimaModificacion
		{
			get
			{
				return this._cMaquinaUltimaModificacion;
			}
			set
			{
				if ((this._cMaquinaUltimaModificacion != value))
				{
					this.OncMaquinaUltimaModificacionChanging(value);
					this.SendPropertyChanging();
					this._cMaquinaUltimaModificacion = value;
					this.SendPropertyChanged("cMaquinaUltimaModificacion");
					this.OncMaquinaUltimaModificacionChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="CTL_Maestros_CRC_Materias", Storage="_CRC_Materias", ThisKey="nIdMaestro", OtherKey="nIdMaestro")]
		public EntitySet<CRC_Materias> CRC_Materias
		{
			get
			{
				return this._CRC_Materias;
			}
			set
			{
				this._CRC_Materias.Assign(value);
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
		
		private void attach_CRC_Materias(CRC_Materias entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Maestros = this;
		}
		
		private void detach_CRC_Materias(CRC_Materias entity)
		{
			this.SendPropertyChanging();
			entity.CTL_Maestros = null;
		}
	}
}
#pragma warning restore 1591
